Bug 201658 - setup-git-clone is using http not https
Summary: setup-git-clone is using http not https
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-09-10 14:40 PDT by Dean Jackson
Modified: 2019-10-21 11:15 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.47 KB, patch)
2019-09-10 14:41 PDT, Dean Jackson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2019-09-10 14:40:18 PDT
setup-git-clone is using http not https
Comment 1 Dean Jackson 2019-09-10 14:41:49 PDT
Created attachment 378496 [details]
Patch
Comment 2 WebKit Commit Bot 2019-09-10 21:16:02 PDT
Comment on attachment 378496 [details]
Patch

Clearing flags on attachment: 378496

Committed r249752: <https://trac.webkit.org/changeset/249752>
Comment 3 WebKit Commit Bot 2019-09-10 21:16:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2019-09-10 21:17:19 PDT
<rdar://problem/55248896>
Comment 5 Kocsen Chung 2019-10-09 17:27:18 PDT
This is not right. We can only do this if the git clone was also done from the HTTPS git-svn mirror. 


The longer explanation is that each commit message on a git-svn mirror has the annotation of the URL for the SVN commit. You may have seen this as "git-svn-id: https://svn.webkit.org/repository/webkit/trunk@r1234". Since this is embedded in the commit message and the commit message takes part in creating the hash, this makes it so that the git-svn hash of a particular revision <r1> have different hashes on the HTTP git repo, vs the HTTPS git repo. 

Long winded way of saying this change is currently broken given the current docs, which have us clone the http version of the git repo.
Comment 6 Sam Weinig 2019-10-13 17:03:12 PDT
(In reply to Kocsen Chung from comment #5)
> This is not right. We can only do this if the git clone was also done from
> the HTTPS git-svn mirror. 
> 
> 
> The longer explanation is that each commit message on a git-svn mirror has
> the annotation of the URL for the SVN commit. You may have seen this as
> "git-svn-id: https://svn.webkit.org/repository/webkit/trunk@r1234". Since
> this is embedded in the commit message and the commit message takes part in
> creating the hash, this makes it so that the git-svn hash of a particular
> revision <r1> have different hashes on the HTTP git repo, vs the HTTPS git
> repo. 
> 
> Long winded way of saying this change is currently broken given the current
> docs, which have us clone the http version of the git repo.

Which doc is that? Can we update the doc to clone the https version of the git repo too?
Comment 7 Kocsen Chung 2019-10-21 10:58:43 PDT
Currently the docs that outline this are: 

- https://webkit.org/getting-the-code/
- https://trac.webkit.org/wiki/UsingGitWithWebKit

I'll look into editing those instead of reverting this change.
Comment 8 Kocsen Chung 2019-10-21 11:15:43 PDT
Requested change for #1.
Changed #2 here: https://trac.webkit.org/wiki/UsingGitWithWebKit?action=diff&version=95